/*
 * Copyright (C) 2008 Luke Kenneth Casson Leighton <lkcl@lkcl.net>
 * Copyright (C) 2008 Alp Toker <alp@atoker.com>
 * Copyright (C) 2008 Apple Inc.
 */

#ifndef __GdomDOMApplicationCache_H___INT_
#define __GdomDOMApplicationCache_H___INT_
#include "glib-object.h"
#include "gdom/PrivateIntGdomDOMObject.h"
#include "GDOMObject.h"
#include "DOMApplicationCache.h"
namespace WebCore {
    gpointer toGDOM(DOMApplicationCache* node);
} /* namespace WebCore */ 
G_BEGIN_DECLS
class GDOMDOMApplicationCache : public GDOMObject {
    typedef GDOMObject Base;
public:
    int get_gobj_type() { return GDOM_TYPE_DOM_APPLICATION_CACHE; }
    GDOMDOMApplicationCache(PassRefPtr<WebCore::DOMApplicationCache> impl);
    virtual ~GDOMDOMApplicationCache();
    WebCore::DOMApplicationCache* impl() const { return m_impl.get(); }

private:
    RefPtr<WebCore::DOMApplicationCache> m_impl;
};
G_END_DECLS

#endif /* __GdomDOMApplicationCache_H___INT_*/
